f

Mixlr Support

How can I use the Mixlr broadcast app on Mac OS X 10.6, 10.7 or 10.8?

To obtain a copy of the Mixlr app compatible with Mac OS X 10.8 or below, please contact our support team.
support@mixlr.com
http://assets1.desk.com/
Mixlr
Loading
seconds ago
a minute ago
minutes ago
an hour ago
hours ago
a day ago
days ago
about
Invalid characters found
/customer/en/portal/articles/autocomplete